Page MenuHomePhabricator

Adopt static array files for local disk storage of values (epic)
Closed, ResolvedPublic

Description

... instead of CDB files, JSON files, serialised PHP files, or other custom formats.

This is a tracking task to cover instances of these anti-patterns within the MediaWiki run-time in Wikimedia production.

Related Objects

StatusSubtypeAssignedTask
ResolvedKrinkle
Resolvedori
OpenNone
ResolvedJoe
ResolvedJoe
ResolvedJoe
Resolved Ladsgroup
Resolved LarsWirzenius
Resolvedjijiki
ResolvedKrinkle
Resolvedjijiki
ResolvedJoe
Resolveddancy
Resolvedthcipriani
Resolveddancy
Resolveddancy
ResolvedKrinkle
Resolveddancy
OpenNone
Resolvedori
Resolvedori
ResolvedLegoktm
Resolvedori
Resolvedori
ResolvedKrinkle

Event Timeline

Krinkle renamed this task from Adopt static array files for local disk storage of scaler values (tracking) to Adopt static array files for local disk storage of values (tracking).Dec 20 2018, 10:00 PM
Krinkle triaged this task as Medium priority.Jul 13 2019, 12:30 AM
Jdforrester-WMF renamed this task from Adopt static array files for local disk storage of values (tracking) to Adopt static array files for local disk storage of values (epic).Feb 21 2020, 11:29 PM
Krinkle claimed this task.

The only remaining here is localisation, which is big enough that it's its own project. Marking this as resolved to reduce clutter on open "future goals".